%define major 4
%define api 0.7
%define libname %mklibname notify %{major}
%define gi_name %mklibname notify-gir %{api}
%define develname %mklibname -d notify

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Desktop notifications library
Summary(de):	Desktop Benachrichtigung Bibliothek
Name:		libnotify
Version:	0.7.5
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.galago-project.org/
Source:		http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRequires:	dbus-glib-devel
BuildRequires:	popt-devel
BuildRequires:	gtk+3.0-devel >= 2.90
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.12
Provides:	virtual-notification-daemon
Provides:	notification-daemon


%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.
#german
%description -l de
Eine Bibliothek, die Arbeitsplatz Benachrichtigungen an einen 
Benachrichtigungs-Daemon sendet, wie in der Desktop Benachrichtigung 
spec definiert ist. Diese Benachrichtigungen können einen Benutzer 
über ein Ereignis Informieren oder etwas in irgend einer Form anzeigen, 
ohne von dem Benutzer aufgerufen zu werden.

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library
Summary(de):	Benötigte Bibliothek - Desktop Benachrichtigung Bibliothek

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.
#german
%description -n %{libname} -l de
Eine Bibliothek, die Arbeitsplatz Benachrichtigungen an einen 
Benachrichtigungs-Daemon sendet, wie in der Desktop Benachrichtigung 
spec definiert ist. Diese Benachrichtigungen können einen Benutzer 
über ein Ereignis Informieren oder etwas in irgend einer Form anzeigen, 
ohne von dem Benutzer aufgerufen zu werden.

%package -n %develname
Group:		Development/Libraries
Summary:	Desktop notifications library - headers
Summary(de):	Entwicklerdateien für %name
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d notify 1
Obsoletes:	%mklibname -d notify 4

%description -n %develname
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.
#german
%description -n %develname
Eine Bibliothek, die Arbeitsplatz Benachrichtigungen an einen 
Benachrichtigungs-Daemon sendet, wie in der Desktop Benachrichtigung 
spec definiert ist. Diese Benachrichtigungen können einen Benutzer 
über ein Ereignis Informieren oder etwas in irgend einer Form anzeigen, 
ohne von dem Benutzer aufgerufen zu werden.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%_libdir/girepository-1.0/Notify-%{api}.typelib

%files -n %develname
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%_datadir/gtk-doc/html/*
%_datadir/gir-1.0/Notify-%{api}.gir


%changelog
* Mon Nov 04 2013 billybot <billybot> 0.7.5-5pclos2013
- dont obsolete notify-osd

* Fri Nov 01 2013 billybot <billybot> 0.7.5-4pclos2013
- add provides virtual-notification-daemon
- add provides notification-daemon
- add obsoletes old notify-osd

* Sun Jun 16 2013 Texstar <texstar at gmail.com> 0.7.5-3pclos2013
- drop .la files and disable static

* Mon Oct 15 2012 Neal <nealbrks0 at gmail dot com> 0.7.5-2pclos2012
- rebuild

* Mon Oct 01 2012 Neal <nealbrks0 at gmail dot com> 0.7.5-1pclos2012
- process

* Sat Sep 29 2012 Ken <lxgator at gmail dot com> 0.7.5-1pclos2012
- 0.7.5

* Sat Apr 07 2012 Neal <nealbrks0 at gmail dot com> 0.7.4-1pclos2012
- process

* Sat Apr 07 2012 leiche <meisssw01 at gmail.com> 0.7.4-1pclos2012
- 0.7.4
- add german description

* Sun Jul 17 2011 Texstar <texstar at gmail.com> 0.7.3-1pclos2011
- 0.7.3

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 0.7.2-2pclos2011
- add back gir

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 0.7.2-1pclos2011
- 0.7.2 with libmajor change 4

* Mon Apr 04 2011 Texstar <texstar at gmail.com> 0.5.2-2pclos2011
- convert tarball to tar.xz
- change specfile to pclos-name.spec
- change post scripts
- add glib/gcc updates req


* Fri Mar 18 2011 maik3531 <maik3531 at yahoo.de> 0.5.2-1pclos2010
- new version
- update source URL

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.4.5-2pclos2010
- rebuild

* Sat Aug 08 2009 slick50 <lxgator@gmail.com> 0.4.5-1pclos2009
- 0.4.5


